'use server';
import { fetchCDNConfig } from '../server/requests';
import { revalidateTag } from 'next/cache';
export const invalidateConfig = async (sdkToken, lastModified) => {
    await invalidateConfigCache(sdkToken, lastModified);
};
export const invalidateConfigCache = async (sdkKey, lastModified) => {
    const response = await fetchCDNConfig(sdkKey);
    const lastModifiedHeader = response.headers.get('last-modified');
    const lastModifiedCache = new Date(lastModifiedHeader !== null && lastModifiedHeader !== void 0 ? lastModifiedHeader : 0);
    const lastModifiedClient = new Date(lastModified !== null && lastModified !== void 0 ? lastModified : 0);
    if (lastModifiedHeader &&
        lastModified &&
        lastModifiedClient > lastModifiedCache) {
        console.log('Invalidating old cached config');
        revalidateTag(sdkKey);
    }
};
//# sourceMappingURL=invalidateConfig.js.map