import { getBucketedConfig } from './bucketing';
import { getOptions, getSDKKey } from './requestContext';
import { getUserIdentity } from './identify';
export const getDevCycleServerData = async () => {
    let config = null;
    try {
        config = await getBucketedConfig();
    }
    catch (e) {
        console.error('Error fetching DevCycle config', e);
    }
    const user = getUserIdentity();
    if (!user) {
        throw Error('User should be defined');
    }
    return {
        config,
        user,
        sdkKey: getSDKKey(),
        options: getOptions(),
    };
};
//# sourceMappingURL=devcycleServerData.js.map